package org.kne.cloud.klalb.uitool;

import java.awt.Color;
import java.awt.Font;
import javax.swing.JTextField;
import java.awt.BorderLayout;
import javax.swing.SwingConstants;
import org.kne.cloud.network.klalb.ui.UIEnv;
import javax.swing.JComboBox;

public class ComboSettingItem extends SettingItem {
	
	
	private JComboBox comboBox;
	public JComboBox getComboBox() {
		return comboBox;
	}
	public ComboSettingItem(String text,int w,int h) {
		this(text,UIEnv.getFont().deriveFont((float) 15.0),w, h);
	}
	/**
	 * @wbp.parser.constructor
	 */
	public ComboSettingItem(String text, Font deriveFont,int w,int h) {
		super(text,deriveFont,w,h);
		label.setForeground(Color.GRAY);
		
		comboBox = new JComboBox();
		comboBox.setOpaque(false);
		getPanel().add(comboBox, BorderLayout.CENTER);
	}

}
